
Infrastructure - Bug #702

Replace MMP workaround with more robust solution

2010-06-25 18:06 - Chad Berkley

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: CCI-0.4   

Milestone: None Story Points:  

Product Version: *   

Description

Replace MMP workaround with more robust solution

History

#1 - 2010-06-28 21:00 - Chad Berkley

I've researched this a bit more and it seems the technology I was going to use, mimepull, is a bit immature and has not been worked on in 2 years. 

Need to reevaluate this.  Maybe go back to cos.jar which morpho uses.  Should probably push this off until after the DataOne prototype is done since

it may take more time than we want to spend right now.

#2 - 2010-06-29 19:12 - Chad Berkley

putting this back into the backlog until after the july deadline.

#3 - 2010-08-02 20:39 - Chad Berkley

- Status changed from New to Closed

Changed this to use my own implementation based on the MMP RFC1341 (http://www.w3.org/Protocols/rfc1341/7_2_Multipart.html).  This

implementation is memory bound so it should be revisited, however it does work for the prototype.
